NodeTypePattern (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.rule.pattern
Class NodeTypePattern

    java.lang.Object
      org.dom4j.rule.pattern.NodeTypePattern

All Implemented Interfaces:
  NodeFilter, Pattern

public class NodeTypePattern
extends Object
implements Pattern

`NodeTypePattern` implements a Pattern which matches any node of the given node type.

Version:
  $Revision: 1.7 $
Author:
  James Strachan

Field Summary
`static NodeTypePattern` | `ANY_ATTRIBUTE` A pattern which matches any Attribute node
`static NodeTypePattern` | `ANY_COMMENT` A pattern which matches any Comment node
`static NodeTypePattern` | `ANY_DOCUMENT` A pattern which matches any Document node
`static NodeTypePattern` | `ANY_ELEMENT` A pattern which matches any Element node
`static NodeTypePattern` | `ANY_PROCESSING_INSTRUCTION` A pattern which matches any ProcessingInstruction node
`static NodeTypePattern` | `ANY_TEXT` A pattern which matches any Text node

Fields inherited from interface org.dom4j.rule.Pattern
`ANY_NODE, DEFAULT_PRIORITY, NONE, NUMBER_OF_TYPES`

Constructor Summary
`NodeTypePattern(short nodeType)`

Method Summary
`String` | `getMatchesNodeName()` For patterns which only match an ATTRIBUTE_NODE or an ELEMENT_NODE then this pattern may return the name of the element or attribute it matches.
`short` | `getMatchType()` DOCUMENT ME!
`double` | `getPriority()` Returns the default resolution policy of the pattern according to the XSLT conflict resolution spec .
`Pattern[]` | `getUnionPatterns()` If this pattern is a union pattern then this method should return an array of patterns which describe the union pattern, which should contain more than one pattern.
`boolean` | `matches(Node node)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY_ATTRIBUTE

    public static final NodeTypePattern ANY_ATTRIBUTE

  A pattern which matches any Attribute node

### ANY_COMMENT

    public static final NodeTypePattern ANY_COMMENT

  A pattern which matches any Comment node

### ANY_DOCUMENT

    public static final NodeTypePattern ANY_DOCUMENT

  A pattern which matches any Document node

### ANY_ELEMENT

    public static final NodeTypePattern ANY_ELEMENT

  A pattern which matches any Element node

### ANY_PROCESSING_INSTRUCTION

    public static final NodeTypePattern ANY_PROCESSING_INSTRUCTION

  A pattern which matches any ProcessingInstruction node

### ANY_TEXT

    public static final NodeTypePattern ANY_TEXT

  A pattern which matches any Text node

Constructor Detail

### NodeTypePattern

    public NodeTypePattern(short nodeType)

Method Detail

### matches

    public boolean matches(Node node)

  Description copied from interface: `Pattern`
  DOCUMENT ME!

  Specified by:
    `matches` in interface `Pattern`
  Parameters:
    `node` - DOCUMENT ME!
  Returns:
    true if the pattern matches the given DOM4J node.

### getPriority

    public double getPriority()

  Description copied from interface: `Pattern`
  Returns the default resolution policy of the pattern according to the XSLT conflict resolution spec .

  Specified by:
    `getPriority` in interface `Pattern`
  Returns:
    DOCUMENT ME!

### getUnionPatterns

    public Pattern[] getUnionPatterns()

  Description copied from interface: `Pattern`
  If this pattern is a union pattern then this method should return an array of patterns which describe the union pattern, which should contain more than one pattern. Otherwise this method should return null.

  Specified by:
    `getUnionPatterns` in interface `Pattern`
  Returns:
    an array of the patterns which make up this union pattern or null if this pattern is not a union pattern

### getMatchType

    public short getMatchType()

  Description copied from interface: `Pattern`
  DOCUMENT ME!

  Specified by:
    `getMatchType` in interface `Pattern`
  Returns:
    the type of node the pattern matches which by default should return ANY_NODE if it can match any kind of node.

### getMatchesNodeName

    public String getMatchesNodeName()

  Description copied from interface: `Pattern`
  For patterns which only match an ATTRIBUTE_NODE or an ELEMENT_NODE then this pattern may return the name of the element or attribute it matches. This allows a more efficient rule matching algorithm to be performed, rather than a brute force approach of evaluating every pattern for a given Node.

  Specified by:
    `getMatchesNodeName` in interface `Pattern`
  Returns:
    the name of the element or attribute this pattern matches or null if this pattern matches any or more than one name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.